# $Revision: 1.62 $, $Date: 2005/09/06 22:04:22 $
#
# Conditional build:
%bcond_without	svga		# without svgalib support
#
Summary:	Virtual Network Computing
Summary(es):	Sistema de control remoto
Summary(pl):	Virtual Network Computing - zdalny desktop
Summary(pt_BR):	Sistema de controle remoto
Name:		vnc
Version:	3.3.7
Release:	9
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.realvnc.com/dist/%{name}-%{version}-unixsrc.tar.gz
# Source0-md5:	511ffbc8ed8d9df82e7c67852164728c
Source1:	http://www.realvnc.com/dist/%{name}-%{version}-documentation.tar.gz
# Source1-md5:	0c62c784f1278207fd82693e66ebca40
Source2:	svnc-0.1.tar.bz2
# Source2-md5:	af9a94e1d7795968ce7062fcbe31b84b
Source3:	vncviewer.desktop
Source4:	vnc.png
Patch0:		%{name}-vncserver.patch
Patch1:		%{name}-svncviewer.patch
Patch2:		%{name}-imake.patch
URL:		http://www.realvnc.com/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	zlib-devel
Provides:	vnc-client
Obsoletes:	tightvnc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.GIF

%description
VNC stands for Virtual Network Computing. It is, in essence, a remote
display system which allows you to view a computing 'desktop'
environment not only on the machine where it is running, but from
anywhere on the Internet and from a wide variety of machine
architectures.

This package contains VNC viewer.

%description -l es
Sistema de control remoto.

%description -l pl
VNC oznacza Virtual Network Computing. Pakiet ten pozwala na uzyskanie
obrazu zdalnego desktopu na dowolnej maszynie wyposaonej w odpowiedni
serwer. Dostpne s serwery dla Win32, Mac 8.x i X11, a klienty dla
Win32, Mac 8.x, X11, Windows CE, BeOS i Java (np. w przegldarce
dziaajcej po HTTP).

Ten pakiet zawiera program wywietlajcy ekran VNC (vncviewer).

%description -l pt_BR
VNC (Virtual Network Computing) ' um sistema de controle remoto que
permite visualizar um ambiente desktop no somente da mquina onde o
VNC est rodando, mas de qualquer lugar da Internet e de uma variedade
de arquiteturas. O VNC ' diferente de um servidor X em vrios
aspectos: no salva nenhum estado no visualizador VNC, ' pequeno e
simples, ' de fato independente de plataforma, e um desktop pode ser
visto e usado por diversos visualizadores ao mesmo tempo.

%package server
Summary:	VNC X server
Summary(es):	Sistema de control remoto
Summary(pl):	X serwer VNC
Summary(pt_BR):	Sistema de controle remoto
Group:		X11/Applications/Networking
Requires:	XFree86-common
Requires:	XFree86-fonts-base
Requires:	XFree86-fonts
Requires:	%{name}-utils = %{version}-%{release}
Requires:	xinitrc-ng
Obsoletes:	tightvnc-server

%description server
VNC stands for Virtual Network Computing. It is, in essence, a remote
display system which allows you to view a computing 'desktop'
environment not only on the machine where it is running, but from
anywhere on the Internet and from a wide variety of machine
architectures.

This package contains VNC X server (Xvnc).

%description server -l es
Sistema de control remoto.

%description server -l pl
VNC oznacza Virtual Network Computing. Pakiet ten pozwala na uzyskanie
obrazu zdalnego desktopu na dowolnej maszynie wyposaonej w odpowiedni
serwer. Dostpne s serwery dla Win32, Mac 8.x i X11, a klienty dla
Win32, Mac 8.x, X11, Windows CE, BeOS i Java (np. w przegldarce
dziaajcej po HTTP).

Ten pakiet zawiera X serwer VNC (Xvnc).

%description server -l pt_BR
VNC (Virtual Network Computing) ' um sistema de controle remoto que
permite visualizar um ambiente desktop no somente da mquina onde o
VNC est rodando, mas de qualquer lugar da Internet e de uma variedade
de arquiteturas. O VNC ' diferente de um servidor X em vrios
aspectos: no salva nenhum estado no visualizador VNC, ' pequeno e
simples, ' de fato independente de plataforma, e um desktop pode ser
visto e usado por diversos visualizadores ao mesmo tempo.

%package utils
Summary:	Additional utilities for VNC
Summary(pl):	Dodatkowe narzdzia do VNC
Group:		X11/Applications/Networking
Obsoletes:	tightvnc-utils

%description utils
This package contains additional VNC utilities: vncconnect and
vncpasswd. vncconnect tells Xvnc server to connect to a listening VNC
viewer. vncpasswd generates password file (both on server and
viewer side).

%description utils -l pl
Ten pakiet zawiera dodatkowe narzdzia VNC: vncconnect i vncpasswd.
vncconnect suy do poczenia serwera Xvnc z nasuchujcym
vncviewerem. vncpasswd suy to tworzenia pliku z hasem (zarwno po
stronie serwera, jak i przegldarki).

%package doc
Summary:	VNC documentation
Summary(pl):	Dokumentacja do VNC
Group:		Documentation

%description doc
This package contains documentation for VNC protocol, utilities etc.

%description doc -l pl
Ten pakiet zawiera dokumentacj do VNC (protokou, programw itp.).

%package svgalib
Summary:	VNC Viewer for svgalib
Summary(pl):	Przegldarka VNC dla svgaliba
Group:		X11/Applications/Networking

%description svgalib
SVGALIB version of VNC viewer.

%description svgalib -l pl
Klient VNC w wersji dla SVGALIBa.

%prep
%setup -q -n %{name}-%{version}-unixsrc -a1 -a2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-installed-zlib

%{__make}

cd Xvnc
%{__make} World \
	CDEBUGFLAGS="%{rpmcflags}" \
	BOOTSTRAPCFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags}"
cd -

%if %{with svga}
cd svncviewer
xmkmf
%{__make} \
	CDEBUGFLAGS="%{rpmcflags}"
cd -
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/vnc/classes,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man1}

./vncinstall $RPM_BUILD_ROOT{%{_bindir},%{_mandir}}

install classes/* $RPM_BUILD_ROOT%{_datadir}/vnc/classes

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

%if %{with svga}
install svncviewer/svncviewer $RPM_BUILD_ROOT%{_bindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vncviewer
%{_mandir}/man1/vncviewer.1*
%{_desktopdir}/vncviewer.desktop
%{_pixmapsdir}/vnc.png

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xvnc
%attr(755,root,root) %{_bindir}/vncserver
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncserver.1*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vncconnect
%attr(755,root,root) %{_bindir}/vncpasswd
%{_mandir}/man1/vncconnect.1*
%{_mandir}/man1/vncpasswd.1*

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-documentation/* README

%if %{with svga}
%files svgalib
%defattr(644,root,root,755)
%doc svncviewer/README
%attr(755,root,root) %{_bindir}/svncviewer
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vnc.spec,v $
Revision 1.62  2005/09/06 22:04:22  arekm
- rel 9

Revision 1.61  2005/03/28 16:26:23  blekot
- rel. +1 (if needed)
- proper category in applnk/vfolders
- STBR (ready)

Revision 1.60  2005/02/28 23:02:38  zbyniu
- BR: libstdc++-devel

Revision 1.59  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.58  2004/08/22 11:00:02  qboosh
- big imake patch update (should support more archs now), removed ppc patch

Revision 1.57  2004/08/07 19:48:44  havner
- rel 6

Revision 1.56  2004/07/20 14:52:17  ankry
- rel. 5

Revision 1.55  2004/07/09 19:53:09  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.54  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.53  2004/02/15 15:10:51  eothane
- bcond style, changelog cleanups

Revision 1.52  2003/11/11 11:36:56  qboosh
- disabled dbm in ppc patch, cosmetics

Revision 1.51  2003/11/10 23:22:21  qboosh
- BR: ac,am,lt

Revision 1.50  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.49  2003/09/17 08:28:54  krzak
- Provides : vnc-client

Revision 1.48  2003/09/06 11:48:03  adgor
- Desktop files moved to %%{_desktopdir}

Revision 1.47  2003/09/05 19:00:16  blues
- nothing

Revision 1.46  2003/09/05 16:06:50  undefine
- always use %{rpmcflags} (dummy Xvnc!)
- release 3

Revision 1.45  2003/09/05 13:43:55  undefine
- BR: svgalib-devel, not svgalib

Revision 1.44  2003/09/05 12:02:05  undefine
- obsolete for tighvnc, release 2, stb

Revision 1.43  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.42  2003/06/06 14:06:10  qboosh
- cosmetics in svgalib description

Revision 1.41  2003/05/25 11:01:24  malekith
- massive attack, adding Source-md5

Revision 1.40  2003/05/25 06:27:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/04/01 16:43:41  qboosh
- use optflags for Xvnc too

Revision 1.38  2003/03/27 11:23:22  ankry
- cosmetics

Revision 1.37  2003/03/27 11:11:51  misi3k
- updated to 3.3.7

Revision 1.36  2003/02/03 00:53:53  adgor
- Version 3.3.6 (updated with previous revision)
- Removed outdated spurces/patches (man pages are now provided by main source
  and installed through vncinstall script)
- Updated vncserver.patch & vncviewer.desktop
- Added desktop icon
- Moved desktopfile tp Network/Misc
- Added svncviewer.patch
- Patches for ppc/sparc need checkout

Revision 1.35  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.34  2002/11/28 09:36:44  undefine
- conditional use of vnc-imake patch - only on sparc (there it's needed - but
  conflicts with ppc patch)

Revision 1.33  2002/11/28 00:56:25  undefine
- add build svgalib version of vnc
- release 7

Revision 1.32  2002/11/26 14:20:36  undefine
- vnc-imake patch from mdk to allow build on sparc
- release 6

Revision 1.31  2002/10/21 23:32:21  mkochano
- Release 5.
- Server Requires: xinitrc, vnc-utils, XFree86-fonts-base,
  XFree86-fonts. This sucks, but sitll is true.
NOTE: In fact it requires some window manager and more.

Revision 1.30  2002/09/28 23:21:00  misiek
- new urls, note that there is new version of vnc

Revision 1.29  2002/07/17 21:18:40  qboosh
- really added desktop file
- release 4

Revision 1.28  2002/05/31 22:06:58  qboosh
- added corre and typo patches from RedHat
- added manpages from RedHat, but with tight options added by me
- added vncviewer.desktop (based on RedHat's one)
- fixed some paths in vncserver patch
- separated subpackages: -server with Xvnc server; -utils with vncconnect and
  vncpasswd; -doc with VNC documentation (doc is separated because it's large
  and applies to all subpackages, so doesn't fit to any single package, and
  any package doesn't require another)
- release 3

Revision 1.27  2002/05/30 23:04:13  qboosh
- simplified build, new %%doc

Revision 1.26  2002/03/14 17:52:32  misiek
- link only with system shared zlib; release 2

Revision 1.25  2002/03/14 15:59:06  qboosh
- typo

Revision 1.24  2002/03/14 15:57:32  mmazur
- little error in %desc pl

Revision 1.23  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/12 02:02:26  blues
- added some translations
- Comlex patch added and vncserver corrected (BTS #40)
- documentation corrected

Revision 1.19  2001/04/21 06:19:15  kloczek
- added usibg %%{rpmcflags} macro.

Revision 1.18  2001/04/20 06:14:57  pascalek
- %doc fixed

Revision 1.17  2001/01/25 20:03:52  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.16  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/10/31 09:25:07  kloczek
- spec adapterized,
- added gzipping %doc,
- make spec %%{debug} ready,
- some other cosmetics.

Revision 1.14  2000/10/30 20:07:37  misiek
- update, work in progress

Revision 1.13  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.10  1999/07/16 00:46:37  pius
- small fix in %files.

Revision 1.9  1999/07/16 00:35:04  kloczek
- reorder in header.

Revision 1.8  1999/07/16 00:30:17  kloczek
- fix: don't strip scripts,
- cosmetic.

Revision 1.7  1999/07/15 22:47:31  pius
- spec file cleanup.

Revision 1.6  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb  4 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [3.3.2r3-1d]
- added documentation
- build angainst glibc 2.1
- added mode detail %attr in %files section
- Polish language spec translation

* Sat Nov 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
  [3.3.2r2-1a]
- Add patch for compiling against LinuxPPC.

* Sat Jul 25 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r2-1]

* Mon Jul 06 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-3]
- it would have been nice if people updating the package would follow
  common sense and do it so using existing ones, and also update their
  changes in the changelog, but I guess some find this rule hard to follow
- binaries moved back to /usr/X11R6/bin

* Tue May 26 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-1]
- moved java classes to %{_datadir}/vnc/classes
- moved binaries to %{_bindir}
- using predefined %%{name} and %%{version}
- using %defattr in filelist, this means that rpm 2.5 is required to build

* Tue Mar 17 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-4]
- added a new font patch, hopefully this works better (Thanks to Gbor J.Tth)

* Sun Mar 01 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-3]
- using buildroot and %attr macros
- added patch to make it build against glibc
- added patch to make it find the fonts on RH5
